Skip Menu |
 

This queue is for tickets about the XML-LibXSLT CPAN distribution.

Report information
The Basics
Id: 131155
Status: open
Priority: 0/
Queue: XML-LibXSLT

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 1.96
  • 1.97
Fixed in: (no value)



Subject: Version checks in t/01basic.t should be removed
Every now and then my smokers report failures like this: ... # Failed test 'LibXML version is the same as its run time version.' # at t/01basic.t line 22. # got: '20909' # expected: '20910' Compiled against: libxslt 10134, libxml2 20909 Running: libxslt 10134, libxml2 20910 Compiled with EXSLT: yes DO NOT REPORT THIS FAILURE: Your setup of library paths is incorrect! # Looks like you failed 1 test of 4. t/01basic.t ............... Dubious, test returned 1 (wstat 256, 0x100) Failed 1/4 subtests ... I think the reasoning in this test is wrong. In this case, only the subminor part differs, which (if the library maintainer and/or packager follows a sane versioning strategy) denotes only bugfixes, but in no way incompatible changes. So there should be no problem running this setup. A better way to detect possible incompatibilities is to increase the coverage of the test suite. This problem does not happen only in XML-LibXSLT, but also in other XML-based distributions (XML-Grammar-Fiction, XML-Grammar-Vered, XML-GrammarBase, XML-Grammar-Fortune).
Download (untitled) / with headers
text/plain 1.2k
Thanks, should be fixed in 1.99. On Mon Dec 09 08:53:35 2019, SREZIC wrote: Show quoted text
> Every now and then my smokers report failures like this: > > ... > # Failed test 'LibXML version is the same as its run time version.' > # at t/01basic.t line 22. > # got: '20909' > # expected: '20910' > > > Compiled against: libxslt 10134, libxml2 20909 > Running: libxslt 10134, libxml2 20910 > Compiled with EXSLT: yes > > DO NOT REPORT THIS FAILURE: Your setup of library paths is incorrect! > > # Looks like you failed 1 test of 4. > t/01basic.t ............... > Dubious, test returned 1 (wstat 256, 0x100) > Failed 1/4 subtests > ... > > I think the reasoning in this test is wrong. In this case, only the > subminor part differs, which (if the library maintainer and/or > packager follows a sane versioning strategy) denotes only bugfixes, > but in no way incompatible changes. So there should be no problem > running this setup. > > A better way to detect possible incompatibilities is to increase the > coverage of the test suite. > > This problem does not happen only in XML-LibXSLT, but also in other > XML-based distributions (XML-Grammar-Fiction, XML-Grammar-Vered, XML- > GrammarBase, XML-Grammar-Fortune).


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.